PlatformModelLocalizedMessages (CMDB Model API)
Keywords: com.collation.platform.model.messages.PlatformModelLocalizedMessages class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.messages
Class PlatformModelLocalizedMessages

    java.lang.Object
      com.collation.platform.model.messages.PlatformModelLocalizedMessages

    public class PlatformModelLocalizedMessages

extends java.lang.Object

This class support to use G11N messages.

Method Summary
`static java.lang.String` | `getFormattedString(java.lang.String key, java.lang.Object[] parms)`
`static java.lang.String` | `getFormattedString(java.lang.String key, java.lang.Object[] parms, java.util.Locale locale)`
`static java.lang.String` | `getFormattedUIString(java.lang.String key, java.lang.Object[] parms)`
`static java.lang.String` | `getFormattedUIString(java.lang.String key, java.lang.Object[] parms, java.util.Locale locale)`
`static java.lang.String` | `getString(java.lang.String key)`
`static java.lang.String` | `getString(java.lang.String key, java.util.Locale locale)`
`static java.lang.String` | `getUIString(java.lang.String key)`
`static java.lang.String` | `getUIString(java.lang.String key, java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static java.lang.String getString(java.lang.String key)

  Parameters:
    `key` - The key for seaching a localized message from the reosurce bundle.
  Returns:
    The string localized by default locale.

### getUIString

    public static java.lang.String getUIString(java.lang.String key)

  Parameters:
    `key` - The key for seaching a localized UI message from the UI reosurce bundle.
  Returns:
    The UI string localized by default locale.

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.util.Locale locale)

  Parameters:
    `key` - The key for seaching a localized message from the reosurce bundle.
  Returns:
    The localized string.

### getUIString

    public static java.lang.String getUIString(java.lang.String key,
                                               java.util.Locale locale)

  Parameters:
    `key` - The key for seaching a localized UI message from the UI reosurce bundle.
  Returns:
    The localized UI string.

### getFormattedString

    public static java.lang.String getFormattedString(java.lang.String key,
                                                      java.lang.Object[] parms)

  Parameters:
    `key` - The key for seaching a localized message from the reosurce bundle.
    `parms` - The parameters used by MessageFormat
  Returns:
    The formatted string localized by the default locale with parameters.

### getFormattedUIString

    public static java.lang.String getFormattedUIString(java.lang.String key,
                                                        java.lang.Object[] parms)

  Parameters:
    `key` - The key for seaching a localized UI message from the UI reosurce bundle.
    `parms` - The parameters used by MessageFormat
  Returns:
    The formatted UI string localized by the default locale with parameters.

### getFormattedString

    public static java.lang.String getFormattedString(java.lang.String key,
                                                      java.lang.Object[] parms,
                                                      java.util.Locale locale)

  Parameters:
    `key` - The key for seaching a localized message from the reosurce bundle.
    `parms` - The parameters used by MessageFormat
  Returns:
    The formatted localized string with parameters.

### getFormattedUIString

    public static java.lang.String getFormattedUIString(java.lang.String key,
                                                        java.lang.Object[] parms,
                                                        java.util.Locale locale)

  Parameters:
    `key` - The key for seaching a localized UI message from the UI reosurce bundle.
    `parms` - The parameters used by MessageFormat
  Returns:
    The formatted localized UI string with parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD